=== debian/changelog ===
opendht (2.1.10-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 28 Jun 2021 12:37:27 -0700

opendht (2.1.10-1) unstable; urgency=medium

  * New upstream version. (Closes: 978562)

 -- Alexandre Viau <aviau@debian.org>  Fri, 01 Jan 2021 14:02:19 -0500

opendht (2.1.9.5-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * New upstream version.

  [ Amin Bandali ]
  * Bump debhelper compat level up to 10.

 -- Alexandre Viau <aviau@debian.org>  Tue, 08 Dec 2020 17:56:05 -0500
