=== debian/control ===
Source: opendht
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Alexandre Viau <aviau@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.20160709),
               dh-exec,
               libargon2-0-dev,
               libasio-dev,
               libfmt-dev,
               libgnutls28-dev,
               libhttp-parser-dev,
               libjsoncpp-dev,
               libmsgpack-dev (>= 1.2),
               libncurses5-dev,
               libreadline6-dev,
               librestinio-dev,
               libssl-dev,
               nettle-dev,
               pkg-config
Standards-Version: 4.0.0
Homepage: https://github.com/savoirfairelinux/opendht
Vcs-Git: https://salsa.debian.org/debian/opendht.git
Vcs-Browser: https://salsa.debian.org/debian/opendht
Rules-Requires-Root: no

Package: libopendht-dev
Architecture: any
Section: libdevel
Depends: libargon2-0-dev,
         libasio-dev,
         libfmt-dev,
         libgnutls28-dev,
         libhttp-parser-dev,
         libjsoncpp-dev,
         libmsgpack-dev (>= 1.2),
         libncurses5-dev,
         libreadline6-dev,
         librestinio-dev,
         libssl-dev,
         nettle-dev,
         ${misc:Depends}
Provides: libopendht-dev
Breaks: libopendht1 (<< 1.2.1~dfsg1-6)
Replaces: libopendht1 (<< 1.2.1~dfsg1-6)
Multi-Arch: same
Description: Development files for the libopendht library
 OpenDHT is a C++11 distributed hash table implementation.
 Feature list:
  - Distributed shared key->value data-store
  - Clean and powerful distributed map API with storage of
    arbitrary binary values of up to 56 KB.
  - Optional public key cryptography layer providing data
    signature and encryption (using GnuTLS).
  - IPv4 and IPv6 support.
 .
 This package contains the static library and headers.

Package: dhtnode
Architecture: any
Section: net
Depends: adduser, ${misc:Depends}, ${shlibs:Depends}
Description: OpenDHT node binary
 OpenDHT is a C++11 distributed hash table implementation.
 Feature list:
  - Distributed shared key->value data-store
  - Clean and powerful distributed map API with storage of
    arbitrary binary values of up to 56 KB.
  - Optional public key cryptography layer providing data
    signature and encryption (using GnuTLS).
  - IPv4 and IPv6 support.
 .
 This package contains the OpenDHT node binary.
