=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CONFIGURE_FLAGS += -DOPENDHT_STATIC=ON
CONFIGURE_FLAGS += -DOPENDHT_SHARED=OFF
CONFIGURE_FLAGS += -DCMAKE_POSITION_INDEPENDENT_CODE=ON
CONFIGURE_FLAGS += -DOPENDHT_PROXY_SERVER=ON
CONFIGURE_FLAGS += -DOPENDHT_PROXY_CLIENT=ON
CONFIGURE_FLAGS += -DOPENDHT_PUSH_NOTIFICATIONS=ON

%:
	dh $@ --without autoreconf

override_dh_auto_configure:
	dh_auto_configure -- ${CONFIGURE_FLAGS}

override_dh_installinit:
	echo override_dh_installinit

override_dh_strip:
	dh_strip --no-automatic-dbgsym
