## opendht 2.1.10-1%2B10.0trisquel1

=== debian/changelog ===
opendht (2.1.10-1+10.0trisquel1) nabia; urgency=medium

  * Backported from Hirsute

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 29 Sep 2021 12:15:10 +0000
