=== debian/changelog ===
opendht (2.3.1-1build3) jammy; urgency=medium

  * No-change rebuild against libfmt8

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 24 Dec 2021 14:16:39 +0000

opendht (2.3.1-1build2) jammy; urgency=medium

  * No-change rebuild against libjsoncpp25

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 14 Dec 2021 07:50:23 +0000

opendht (2.3.1-1build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Tue, 30 Nov 2021 11:09:45 +0100

opendht (2.3.1-1) unstable; urgency=medium

  [ Amin Bandali ]
  * d/watch: Update to version=4 and use newly-suggested opts format
    in the current uscan(1) manual for GitHub repositories.  This is
    motivated in part by a change in devscripts-2.21.5 that makes
    uscan die when filenamemangle fails.

  [ Alexandre Viau ]
  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Sat, 20 Nov 2021 23:59:14 -0500
