=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,3 @@
 
 override_dh_installinit:
 	echo override_dh_installinit
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
