=== debian/changelog ===
opendht (2.4.12-7) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Add debian/patches/1010-man-page-formatting.patch by Jakob Haufe
    to address lintian
    warning: macro 'mF' not defined [usr/share/man/man1/dhtnode.1.gz:1].
  * Sponsor upload to unstable.

 -- Amin Bandali <bandali@gnu.org>  Wed, 22 Feb 2023 15:20:06 -0500

opendht (2.4.12-6) experimental; urgency=medium

  [ Petter Reinholdtsen ]
  * debian/libopendht-c2.symbols: Exclude symbols on hurd-i386 and sh4
    too.

  [ Amin Bandali ]
  * debian/control: Taking over the maintenance of the package; many
    thanks, Alexandre!
  * debian/libopendht-c2.symbols: Add three symbols on armel.

  * Upload sponsored by Petter Reinholdtsen.

 -- Amin Bandali <bandali@gnu.org>  Mon, 20 Feb 2023 23:25:50 -0500

opendht (2.4.12-5) unstable; urgency=medium

  [ Amin Bandali ]
  * debian/libopendht-c2.symbols: Add exclusions for various symbols
    across most supported architectures per buildd.debian.org logs.

  [ Petter Reinholdtsen ]
  * debian/rules: Use DEB_BUILD_GNU_TYPE for locating build directory.
  * Sponsor upload to unstable.

 -- Amin Bandali <bandali@gnu.org>  Tue, 07 Feb 2023 16:42:22 -0500

opendht (2.4.12-4) unstable; urgency=medium

  * debian/control: Switch 'python3-all' to 'python3-all-dev:any' to
    hopefully fix builds broken with 'fatal error: Python.h: No such
    file or directory'.  Also tweak a few descriptions.

  * Upload sponsored by Petter Reinholdtsen.

 -- Amin Bandali <bandali@gnu.org>  Tue, 07 Feb 2023 02:21:56 -0500

opendht (2.4.12-3) unstable; urgency=medium

  * Fix build more generally on architectures like ARM EABI (armel)
    and little-endian MIPS (mipsel) that don't have native 64-bit
    atomic operations by linking against libatomic. (Closes: #1030615)
  * Address several lintian warnings:
    - Drop usr/include/opendht/opendht_c.h from libopendht-dev;
      it already belongs in libopendht-c-dev. (Closes: #1030696)
    - debian/control: Add 'Multi-Arch: same' for libopendht2 and
      libopendht-c2.

  * Upload sponsored by Petter Reinholdtsen.

 -- Amin Bandali <bandali@gnu.org>  Tue, 07 Feb 2023 01:27:18 -0500

opendht (2.4.12-2) experimental; urgency=medium

  * Switch from static to shared library.  Upstream has declared their
    API and ABI stable, therefore we now build and provide a shared
    library rather than a static one.
  * Add python3-opendht providing OpenDHT Python 3 bindings
    (Closes: #850051).
  * Add simple debian/tests/test-run-python to validate Python 3
    bindings.
  * Add OpenDHT C shared library and bindings.

  * Upload sponsored by Petter Reinholdtsen.

 -- Amin Bandali <bandali@gnu.org>  Sat, 04 Feb 2023 01:07:30 -0500

opendht (2.4.12-1.2) unstable; urgency=medium

  * Fix build more generally on architectures like ARM EABI (armel)
    and little-endian MIPS (mipsel) that don't have native 64-bit
    atomic operations by linking against libatomic. (Closes: #1030615)

  * Upload sponsored by Petter Reinholdtsen.

 -- Amin Bandali <bandali@gnu.org>  Sun, 05 Feb 2023 13:10:19 -0500

opendht (2.4.12-1.1) unstable; urgency=medium

  * Attempt to fix build on armel.

  * Upload sponsored by Petter Reinholdtsen.

 -- Amin Bandali <bandali@gnu.org>  Sat, 04 Feb 2023 13:02:57 -0500

opendht (2.4.12-1) unstable; urgency=medium

  * New upstream version 2.4.12.
  * debian/copyright: Remove vestigial 'Files-Excluded: src/argon2/*'
    and update copyright years.
  * Update package descriptions per upstream.

  * Upload sponsored by Petter Reinholdtsen.

 -- Amin Bandali <bandali@gnu.org>  Sat, 04 Feb 2023 01:05:20 -0500

opendht (2.4.10-1) unstable; urgency=medium

  * Collab-maint upload with maintainer approval.

  * New upstream version 2.4.10 (Closes: 1016489).
    - Refreshed patches to remove fuzzies.
    - Updated package description to relect new C++17 requirement.
    - Dropped call to dh_dwz during build as it fail on
      debian/dhtnode/usr/bin/dhtnode.
  * Added patch header in pkgconfig-extras.patch.
  * Switched patches to 0000/1000/2000 naming convention.
  * Added build-essential and pkg-config as autopkgtest dependencies.
  * Changed dependency for libmsgpack-dev to prefer new libmsgpack-cxx-dev
    (Closes: #1019113).

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 27 Dec 2022 10:03:41 +0100

opendht (2.3.1-3) unstable; urgency=medium

  * Collab-maint upload with maintainer approval.

  * Updated standards version from 4.5.0 to 4.6.2.  No changes needed.
  * Switched build dependency libncurses5-dev to libncurses-dev.
  * Corrected notation for new uploader.
  * Added pkgconfig-extras.patch with libraries needed to link
    simple C++ client.
  * Added simple autopkgtest C++ build test.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 26 Dec 2022 07:55:50 +0100

opendht (2.3.1-2) unstable; urgency=medium

  * Collab-maint upload with maintainer approval.

  * Acknowledge NMU (Closes: #1026871).
  * Added Amin Bandali as uploader.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 25 Dec 2022 06:42:25 +0100

opendht (2.3.1-1.1) unstable; urgency=medium

  * Non-maintainer upload using salsa Debian team git repo.

  [ Amin Bandali ]
  * d/watch: Tweak opts to use newly-suggested format in the current
    uscan(1) manual for GitHub repositories, helping correctly detect
    new releases again (partly fixes #1016489).

  [ Federico Ceratto ]
  * Configure service sandbox (Closes: #1007163).
  * Bump up Standards-Version from 4.0.0 to 4.5.0.
  * Switch to debhelper-compat 12.

  [ Petter Reinholdtsen ]
  * Switched build and binary dependency for libargon2-0-dev to libargon2-dev
    (Closes: #1005699).

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 22 Dec 2022 22:33:19 +0100
